for (const elm of document.querySelectorAll("p.tokenize")) {
  // parse "css input"
  // type casting is not needed if using CSS TYPED OM
  const sty = getComputedStyle(elm);
  const ROW = +sty.getPropertyValue("--ROW");
  const COL = +sty.getPropertyValue("--COL");
  let row = 1;
  let col = 1;
  
  (function f() {
    elm.style.setProperty("--ch", col);
    elm.style.setProperty("--line", row);
    if (++col > COL) {
      col = 1;
      if(++row > ROW)
        return
    }
    setTimeout(f, 16);
  }());
}